Threads.c File Reference

threads tun by HeiOS More...

`#include "ES2_V4_app.h"`
Include dependency graph for Threads.c:

## Functions

void | vTask_FsmVCR (void *pvParameters)
| run FSM for VCR More...
void | vTask_FsmTape (void *pvParameters)
| run FSM for Tape More...
void | vTask_Read_Buttons (void *pvParameters)
| read buttons and store events in queue More...

## Detailed Description

threads tun by HeiOS

Author
  Hendrik Schutter

Version
  V1.0

Date
  31.10.2020

## Function Documentation

## vTask_FsmTape()

void vTask_FsmTape | ( | void * | pvParameters | ) |

run FSM for Tape

Parameters

  void | *pvParameters

Returns
  void

Author
  hendrik schutter

Date
  07.11.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## vTask_FsmVCR()

void vTask_FsmVCR | ( | void * | pvParameters | ) |

run FSM for VCR

Parameters

  void | *pvParameters

Returns
  void

Author
  hendrik schutter

Date
  07.11.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## vTask_Read_Buttons()

void vTask_Read_Buttons | ( | void * | pvParameters | ) |

read buttons and store events in queue

Parameters

  void | *pvParameterss

Returns
  void

Author
  hendrik schutter

Date
  07.11.2020

Here is the call graph for this function:
Here is the caller graph for this function: